--Выполнение сервисных функций

SET LANGUAGE russian
SET IMPLICIT_TRANSACTIONS OFF
SET ANSI_NULLS ON
SET ANSI_PADDING ON
SET ANSI_WARNINGS ON
SET CONCAT_NULL_YIELDS_NULL ON
SET NUMERIC_ROUNDABORT OFF
SET NOCOUNT OFF
SET LOCK_TIMEOUT -1
SET XACT_ABORT ON
SET ARITHABORT ON
SET CURSOR_CLOSE_ON_COMMIT OFF
SET DATEFIRST 1
SET DATEFORMAT DMY
SET QUOTED_IDENTIFIER ON

GO

--Переиндексация
EXEC( 'exec dbo.X_ADMIN_REINDEX')
GO

--Усечение журнала транзакций БД
EXEC('
declare @p1 float
set @p1=0
declare @p2 float
set @p2=0
exec X_ADMIN_TRUNCATE_LOG @p1 output,@p2 output
select [before] = @p1, [after] = @p2
')
GO


--Минимизация размера БД
EXEC('exec X_ADMIN_SHRINKDB')
GO



